# $Revision: 1.35 $, $Date: 2002/02/02 09:04:39 $
Summary:	encryption/decryption library
Summary(pl):	biblioteka z funkcjami szyfrujcymi oraz deszyfrujcymi
Name:		libmcrypt
Version:	2.4.22
Release:	1
License:	LGPL
Vendor:		Nikos Mavroyanopoulos <nmav@hellug.gr>
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(fr):	Librairies
Group(pl):	Biblioteki
Group(pt_BR):	Bibliotecas
Group(ru):	
Group(uk):	̦
Source0:	ftp://mcrypt.hellug.gr/pub/mcrypt/libmcrypt/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A replacement for the old unix crypt(1) command. Mcrypt uses the
following encryption (block) algorithms: BLOWFISH, DES, TripleDES,
3-WAY, SAFER-SK64, SAFER-SK128, CAST-128, RC2 TEA (extended), TWOFISH,
RC6, IDEA and GOST. The unix crypt algorithm is also included, to
allow compability with the crypt(1) command.

CBC, ECB, OFB and CFB modes of encryption are supported. A library
which allows access to the above algorithms and modes is included.

%description -l pl
Zamiennik dla starej unixowej funkcji crypt(). Mcrypt uywa
nastpujcych algorytmw: BLOWFISH, DES, TripleDES, 3-WAY, SAFER-SK64,
SAFER-SK128, CAST-128, RC2 TEA (rozszerzona), TWOFISH, RC6, IDEA i
GOST. Unixowy algorytm crypt take jest obsugiwany by zachowa
kompatybilno z crypt(1).

%package devel
Summary:	Header files and development documentation for libmcrypt
Summary(pl):	Pliki nagwkowe i dokumentacja do libmcrypt
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name} = %{version}
Requires:	libltdl-devel

%description devel
Header files and development documentation for libmcrypt.

%description -l pl devel
Pliki nagwkowe i dokumentacja do libmcrypt.

%package static
Summary:	Encryption/decryption static library
Summary(pl):	Statyczna biblioteka z funkcjami szyfrujcymi oraz deszyfrujcymi
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name}-devel = %{version}

%description static
Encryption/decryption static library.

%description -l pl static
Statyczna biblioteka z funkcjami szyfrujcymi oraz deszyfrujcymi.

%prep
%setup -q

%build
rm -f missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c
(cd libltdl
rm -f missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c)
%configure \
	--enable-static \
	--disable-libltdl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR="$RPM_BUILD_ROOT" install

gzip -9nf ChangeLog doc/README.*

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/libmcrypt
%attr(755,root,root) %{_libdir}/libmcrypt/*.so
%attr(755,root,root) %{_libdir}/libmcrypt/*.la

%files devel
%defattr(644,root,root,755)
%doc *.gz doc/*.gz
%attr(755,root,root) %{_bindir}/libmcrypt-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man3/*
%{_includedir}/*.h
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_libdir}/libmcrypt/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libmcrypt.spec,v $
Revision 1.35  2002/02/02 09:04:39  kloczek
- updated to 2.4.22 (bugfix release).

Revision 1.34  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2002/01/13 23:42:32  kloczek
- updated to 2.4.19 (bugfix release).

Revision 1.32  2001/12/14 04:04:20  kloczek
- release 2.

Revision 1.31  2001/12/01 13:05:50  misiek
- devel subpackage R: libltdl-devel

Revision 1.30  2001/11/17 07:24:45  kloczek
- updated to 2.4.18.

Revision 1.29  2001/10/06 21:11:20  kloczek
- updated to 2.4.17.

Revision 1.28  2001/10/01 10:11:26  malekith
- moved *.la files from -devel, they are needed to make mcrypt run
- rel 2, stbr

Revision 1.27  2001/09/14 05:14:31  kloczek
- updated to 2.4.16.

Revision 1.26  2001/06/15 23:18:40  kloczek
- release 2: added missing %%{_bindir}/libmcrypt-config to devel.

Revision 1.25  2001/06/10 23:42:33  kloczek
- added aclocal macros to devel.

Revision 1.24  2001/06/10 23:39:09  kloczek
- updated to 2.4.15.

Revision 1.23  2001/05/03 07:27:03  kloczek
- updated to 2.4.11.

Revision 1.22  2001/03/20 12:40:18  mis
- updated (by autoup) to 2.4.10

Revision 1.21  2001/03/14 20:07:58  kloczek
- release 2.

Revision 1.20  2001/03/14 17:42:31  qboosh
- missing dir: %%{_libdir}/libmcrypt
- moved *.la to devel package

Revision 1.19  2001/02/04 17:37:09  kloczek
- updated to 2.4.9.

Revision 1.18  2001/01/22 18:45:05  mis
- updated to 2.4.7

Revision 1.17  2000/10/30 19:20:16  kloczek
- updated to 2.4.6.

Revision 1.16  2000/10/24 13:30:45  mis
- updated to 2.4.5

Revision 1.15  2000/10/02 10:51:00  kloczek
- release 3: added using rpm new automation suit.

Revision 1.14  2000/09/09 02:35:24  kloczek
- release 2.

Revision 1.13  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.10  2000/05/18 14:00:06  kloczek
- updated to 2.4.4.

Revision 1.9  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/30 01:05:30  kloczek
- updated to 2.4.0.

Revision 1.7  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.6  2000/02/15 16:55:01  kloczek
- updated to 2.3.0.

Revision 1.5  1999/11/06 07:05:22  kloczek
- fixed %doc file list.

Revision 1.4  1999/11/06 06:56:45  kloczek
- updated to 2.2.4.

Revision 1.3  1999/08/02 11:45:02  kloczek
- typo.

Revision 1.2  1999/08/02 11:30:12  kloczek
- removed "Prereq: /sbin/ldconfig" (this is generated automaticaly by
  "-p /sbin/ldconfi" in %post{un},
- added devel subpackage,
- removed SONAME links,
- moved all %doc to devel,
- added --strip-unneeded on stripping shared libraries,
- Group in main changedd to Libraries.

Revision 1.1  1999/08/02 10:11:30  misiek
update/new specs
